Skip to main content

Remove Public Access

POST 

/api/v1/assets/:asset_id/content/remove_public_access

Remove public-read access from a file or its conversions in the Cloud Storage (such as S3), so they can no longer be fetched without authentication. This reverses Set Public Access.

Send the same keys that were made public.

note

Copies fetched while the file was public, such as browser or CDN caches, are not recalled.

Possible Key values

Typekeys list values
All filesBuilt-in key original the asset original file
Image filesBuilt-in keys: deepzoom and/or all the custom conversion keys setup in account settings
Video filesBuilt-in keys: 360p-video, 360p-wm-video, 480p-video, 480p-wm-video, 720p-video, 720p-wm-video, 1080p-video, 1080p-wm-video and/or hls-video (note that *-wm-video keys are for watermarked videos)

HTTP Response​

200 when the change is queued. The storage permission is updated in the background, usually within seconds. 400 if keys is missing or empty.

Request​

Responses​

Successful operation - change queued